<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />

    <meta name="description" content="This site is my PWI Labs" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="theme-color" content="#7b219f" />
    <meta name="apple-mobile-web-app-status-bar-style" content="default" />

    <!-- Open Graph -->
    <meta property="og:type" content="website" />
    <meta property="og:title" content="Student" />
    <meta property="og:description" content="This site is my PWI Labs" />
    <meta property="og:site_name" content="PWI" />
    <meta property="og:url" content="https://pwi-labs" />
    <meta property="og:image" content="https://pwi-labs/icon.png" />

    <link rel="manifest" href="manifest.json" />
    <script
      async
      src="https://unpkg.com/pwacompat"
      crossorigin="anonymous"
    ></script>

    <link
      rel="apple-touch-icon"
      sizes="120x120"
      href="icons/apple-touch-icon_120.png"
    />
    <link
      rel="apple-touch-icon"
      sizes="180x180"
      href="icons/apple-touch-icon_180.png"
    />

    <title>Student</title>
    <link rel="icon" href="images/icon.svg" />
    <link rel="stylesheet" href="css/style.css" />
  </head>
  <body>
    <header>
      <div class="logo">
        <a href="#">CMS</a>
      </div>
      <div class="header-img">
        <div class="message">
          <img
            id="bell"
            src="images/bell.svg"
            alt="bell"
            class="header-svg bell-svg"
          />
        </div>
        <div class="account-info">
          <img src="images/account.svg" alt="photo" class="header-svg" />
          <span id="username">Denys Voloshyn</span>
        </div>
        <div id="account-dropdown" style="display: none">
          <ul>
            <li><a href="#"> Profile</a></li>
            <li><a href="#"> Log out</a></li>
          </ul>
        </div>
        <div id="bell-up" style="display: none">
          <ul id="nav-bell">
            <li>
              <div class="message-user">
                <img
                  class="message-avatar"
                  src="images/user.svg"
                  alt="User Avatar"
                />
                <span class="message-username">Ім'я користувача 1</span>
              </div>
              <p>Message 1</p>
            </li>
            <li>
              <div class="message-user">
                <img
                  class="message-avatar"
                  src="images/user.svg"
                  alt="User Avatar"
                />
                <span class="message-username">Ім'я користувача 1</span>
              </div>
              <p>Message 2</p>
            </li>
            <li>
              <div class="message-user">
                <img
                  class="message-avatar"
                  src="images/user.svg"
                  alt="User Avatar"
                />
                <span class="message-username">Ім'я користувача 1</span>
              </div>
              <p>Very looooooooooooooong message 3</p>
            </li>
          </ul>
        </div>
      </div>
    </header>

    <div class="container">
      <div class="nav-container">
        <nav>
          <ul class="navigation">
            <li><a href="#">Dashboard</a></li>
            <li class="active-nav"><a href="#">Students</a></li>
            <li><a href="#">Tasks</a></li>
          </ul>
        </nav>
      </div>

      <div class="main-container">
        <div class="tableTitle">
          <h1>Students</h1>
          <button id="open-add-student-window-button">
            <img id="add-button-img" src="images/plus.svg" alt="Add" />
          </button>
        </div>

        <table class="students-table">
          <thead>
            <tr>
              <th class="student-id-column"></th>
              <th>
                <div class="checkbox" onclick="clickCheckboxAll(this)"></div>
              </th>
              <th>Group</th>
              <th>Name</th>
              <th>Gender</th>
              <th>Birthday</th>
              <th>Status</th>
              <th>Options</th>
            </tr>
          </thead>
          <tbody>
           
          </tbody>
        </table>
        <div class="pagination">
          <button>&larr;</button>
          <button>1</button>
          <button>2</button>
          <button>3</button>
          <button>&rarr;</button>
        </div>
      </div>
    </div>

    <div id="student-window" style="display: none">
      <h2 id="add-header" style="display: none">Add student</h2>
      <h2 id="edit-header" style="display: none">Edit student</h2>
      <hr />
      <button id="close-student-window-button" onclick="closeForm()">X</button>
      <form id="student-form">
        <input type="hidden" id="student-id" />
        <label for="group">Group:</label>
        <select id="group" name="group">
          <option value="">Select a group</option>
          <option value="PZ-21">PZ-21</option>
          <option value="PZ-22">PZ-22</option>
          <option value="PZ-23">PZ-23</option>
          <option value="PZ-24">PZ-24</option>
          <option value="PZ-25">PZ-25</option>
          <option value="PZ-26">PZ-26</option>
          <option value="PZ-27">PZ-27</option></select
        ><br />
        <label for="first-name">First Name:</label>
        <input
          type="text"
          id="first-name"
          name="first-name"
          maxlength="12"
        /><br />
        <label for="last-name">Last Name:</label>
        <input type="text" id="last-name" name="last-name" maxlength="12" />
        <br />
        <label for="gender">Gender:</label>
        <select id="gender" name="gender">
          <option value="">Select a gender</option>
          <option value="M">Male</option>
          <option value="F">Female</option>
          <!-- Add more options as needed --></select
        ><br />
        <label for="birthday">Birthday:</label>
        <input type="date" id="birthday" name="birthday" /><br />
        <div class="button-container">
          <button type="button" onclick="closeForm()">Ok</button>
          <button style="display: none" id="create-new-student-button">
            Create
          </button>
          <button style="display: none" id="edit-student-button">Edit</button>
        </div>
      </form>
    </div>

    <div id="confirmation-window" style="display: none">
      <h2>Confirm Deletion</h2>
      <p>Are you sure you want to delete this student?</p>
      <button id="confirm-delete-button">Yes</button>
      <button id="cancel-delete-button">No</button>
    </div>

    <script
      src="https://code.jquery.com/jquery-3.7.1.min.js"
      integrity="sha256-/JqT3SQfawRcv/BIHPThkBvs0OEvtFFmqPF/lYI/Cxo="
      crossorigin="anonymous"
    ></script>
    <script
      src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.7.1/jquery.min.js"
      integrity="sha512-v2CJ7UaYy4JwqLDIrZUI/4hqeoQieOmAZNXBeQyjo21dadnwR+8ZaIJVT8EE2iyI61OV8e6M8PP2/4hpQINQ/g=="
      crossorigin="anonymous"
      referrerpolicy="no-referrer"
    ></script>
    <script src="js/script.js"></script>
    <!-- <script>
      if ("serviceWorker" in navigator) {
        window.addEventListener("load", function () {
          navigator.serviceWorker.register("/sw.js").then(
            function (registration) {
              console.log(
                "ServiceWorker registration successful with scope: ",
                registration.scope
              );
            },
            function (err) {
              console.log("ServiceWorker registration failed: ", err);
            }
          );
        });
      }
    </script> -->
  </body>
</html>
